/*######     Copyright (c) 1997-2014 Ufasoft  http://ufasoft.com  mailto:support@ufasoft.com,  Sergey Pavlov  mailto:dev@ufasoft.com #########################################################################################################
#                                                                                                                                                                                                                                            #
# This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation;  either version 3, or (at your option) any later version.          #
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.   #
# You should have received a copy of the GNU General Public License along with this program; If not, see <http://www.gnu.org/licenses/>                                                                                                      #
############################################################################################################################################################################################################################################*/

#pragma once

#include <file_config.h>
#include <prj_config.h>

#define EXT_Q(x) #x
#define EXT_QUOTE_VER(mj, mn) EXT_Q(mj.mn)

#if !defined(VER_PRODUCTVERSION) && defined(VER_PRODUCTVERSION_MAJOR)
#	define VER_PRODUCTVERSION	VER_PRODUCTVERSION_MAJOR,VER_PRODUCTVERSION_MINOR,0,0
#endif

#if !defined(VER_PRODUCTVERSION_STR) && defined(VER_PRODUCTVERSION_MAJOR)
#	define VER_PRODUCTVERSION_STR EXT_QUOTE_VER(VER_PRODUCTVERSION_MAJOR, VER_PRODUCTVERSION_MINOR)
#endif
